Bug 231008 - [exp-run] devel/protobuf: update to 3.6.1
Summary: [exp-run] devel/protobuf: update to 3.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
: 233363 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-08-29 20:02 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2018-12-03 19:55 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2018-08-29 20:02:48 UTC
Update devel/protobuf to 3.6.1

- Bump PORTREVISION of dependent ports for shlib change

Changes:        https://github.com/protocolbuffers/protobuf/releases
Comment 1 Antoine Brodin freebsd_committer 2018-09-02 11:28:03 UTC
New failures on 10.4 amd64:


http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/libosmpbf-1.3.3_8.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/clementine-player-1.3.1.441_5.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/mixxx20-2.0.0_7.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/mumble-1.2.19_12.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/murmur-1.2.19_16.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/mysql57-server-5.7.23_2.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/php56-pinba-2012.03.20_11.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/pokerth-1.1.2_6.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/caffe-1.0_15.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/yafaray-3.0.5_1.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/zetacoin-0.11.2.3_22.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/mosh-1.3.2_5.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/ostinato-0.8_9.log
http://package22.nyi.freebsd.org/data/104amd64-default-PR231006-9/2018-09-01_06h23m24s/logs/zbackup-1.4.4_8.log
Comment 2 Antoine Brodin freebsd_committer 2018-09-02 11:46:20 UTC
New failures on 10.4 i386:

http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/libosmpbf-1.3.3_8.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/clementine-player-1.3.1.441_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/mixxx20-2.0.0_7.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/mumble-1.2.19_12.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/murmur-1.2.19_16.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/mysql57-server-5.7.23_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/php56-pinba-2012.03.20_11.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/pokerth-1.1.2_6.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/caffe-1.0_15.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/zetacoin-0.11.2.3_22.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/mosh-1.3.2_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/ostinato-0.8_9.log
http://package23.nyi.freebsd.org/data/104i386-default-PR231006-9/2018-09-01_06h23m20s/logs/zbackup-1.4.4_8.log
Comment 3 Antoine Brodin freebsd_committer 2018-09-03 21:39:29 UTC
New failures on 11.1 amd64:

http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/libosmpbf-1.3.3_8.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/clementine-player-1.3.1.441_5.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/mixxx20-2.0.0_7.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/mumble-1.2.19_12.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/murmur-1.2.19_16.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/mysql57-server-5.7.23_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/php56-pinba-2012.03.20_11.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/pokerth-1.1.2_6.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/caffe-1.0_15.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/zetacoin-0.11.2.3_22.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/mosh-1.3.2_5.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/ostinato-0.8_9.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR231006-9/2018-09-03_05h34m52s/logs/zbackup-1.4.4_8.log
Comment 4 Antoine Brodin freebsd_committer 2018-09-04 05:36:13 UTC
New failures on 11.1 i386:

http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/libosmpbf-1.3.3_8.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/clementine-player-1.3.1.441_5.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/mixxx20-2.0.0_7.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/mumble-1.2.19_12.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/murmur-1.2.19_16.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/mysql57-server-5.7.23_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/php56-pinba-2012.03.20_11.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/pokerth-1.1.2_6.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/caffe-1.0_15.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/zetacoin-0.11.2.3_22.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/mosh-1.3.2_5.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/ostinato-0.8_9.log
http://package23.nyi.freebsd.org/data/111i386-default-PR231006-9/2018-09-03_05h27m35s/logs/zbackup-1.4.4_8.log
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-09-23 13:16:01 UTC
Patch updated.
Comment 7 Matthias Fechner freebsd_committer 2018-11-16 06:58:45 UTC
10.4 is EOL or?
Do we have any blocking problems here?
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-11-26 20:22:26 UTC
That build failure is not limited to 10.4. I'm working on a new patch.
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-11-29 19:45:31 UTC
Patch updated. Thanks!
Comment 10 Brad Davis freebsd_committer 2018-12-01 19:39:20 UTC
*** Bug 233363 has been marked as a duplicate of this bug. ***
Comment 11 Antoine Brodin freebsd_committer 2018-12-03 15:35:04 UTC
Exp-run looks fine
Comment 12 commit-hook freebsd_committer 2018-12-03 19:41:47 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Dec  3 19:41:43 UTC 2018
New revision: 486531
URL: https://svnweb.freebsd.org/changeset/ports/486531

Log:
  Update devel/protobuf to 3.6.1

  - Bump PORTREVISION of dependent ports for shlib change

  Changes:	https://github.com/protocolbuffers/protobuf/releases
  PR:		231008
  Exp-run by:	antoine

Changes:
  head/astro/libosmpbf/Makefile
  head/astro/merkaartor/Makefile
  head/audio/clementine-player/Makefile
  head/audio/mixxx/Makefile
  head/audio/mixxx20/Makefile
  head/audio/mumble/Makefile
  head/audio/mumble/files/patch-cplusplus.pri
  head/audio/murmur/Makefile
  head/audio/murmur/files/patch-cplusplus.pri
  head/databases/mysql57-server/Makefile
  head/databases/mysql80-server/Makefile
  head/devel/grpc/Makefile
  head/devel/ignition-msgs/Makefile
  head/devel/ignition-transport/Makefile
  head/devel/php5-pinba/Makefile
  head/devel/protobuf/Makefile
  head/devel/protobuf/distinfo
  head/devel/protobuf/files/patch-src-google-protobuf-stubs-atomicops.h
  head/devel/protobuf/files/patch-src-google-protobuf-stubs-common.h
  head/devel/protobuf/files/patch-src_Makefile.am
  head/devel/protobuf/pkg-descr
  head/devel/protobuf/pkg-plist
  head/devel/protobuf-c/Makefile
  head/dns/dnsdist/Makefile
  head/dns/knot-resolver/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor40/Makefile
  head/games/cockatrice/Makefile
  head/games/pink-pony/Makefile
  head/games/pokerth/Makefile
  head/graphics/caffe/Makefile
  head/graphics/opencv/Makefile
  head/graphics/osgearth/Makefile
  head/japanese/mozc-server/Makefile
  head/multimedia/vlc3/Makefile
  head/net/eternalterminal/Makefile
  head/net/mosh/Makefile
  head/net/ostinato/Makefile
  head/net/spoofer/Makefile
  head/net-im/ricochet/Makefile
  head/net-mgmt/collectd5/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qtum/Makefile
  head/net-p2p/zetacoin/Makefile
  head/science/lm/Makefile
  head/science/paraview/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/zbackup/Makefile
  head/www/mod_pagespeed/Makefile
Comment 13 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-12-03 19:55:07 UTC
Committed. Thanks!